Subject: Re: FCC Ethernet startup crash

From: Pantelis Antoniou <[email-masked]>
Date: Wed, 06 Apr 2005 09:03:20 +0300

Rune Torgersen wrote:
>>From: Dan Malek [mailto:[email-masked]] 
>>On Apr 5, 2005, at 12:41 PM, Rune Torgersen wrote:
>>
>>
>>>Without calling fcc_restart in the start, I get lots of 
>>
>>"eth0: tx queue
>>
>>>full!." messages.
>>
>>Do you tftp boot your kernel using the boot rom?  Does the
>>boot rom disable the Ethernet before calling the kernel?
> 
> 
> Yes, I tftp the kernel, using U-Boot (1.1.2 CVS Head as of 11-20-04).
> Haven't looked at the code, but I think it disablesd the FCC Ethernets
> (Have seen discussions about htat on u-boot mailing list before)
> 

U-boot definately disables the ethernets. Or at least it must.

> The patch Stefan Nickl gave to me works perfectly, and all it does is
> basically move the fcc_restart.
> The kernel was still calling fcc_restart twiche per FCC at startup (one
> time on init_fcc_startup, and then again in fcc_open), now it just calls
> it twice in fcc_open. Seems to work.
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
> 
> 
> 

Regards

Pantelis